AUTOMAKE_OPTIONS = foreign no-dependencies no-installinfo
INCLUDES = -I@top_srcdir@ -I@top_srcdir@/event @ROOT_INCLUDES@
LDFLAGS = @ROOT_LDFLAGS@

YODA_HEADER_FILES               = AnticounterEvent.h
yodaincdir                      = $(includedir)/yoda/event/physics/anticounter
yodainc_HEADERS                 = ${YODA_HEADER_FILES}

YODA_SOURCES                    = AnticounterEvent.cpp

BUILT_SOURCES                   = AnticounterEventDict.cpp AnticounterEventDict.h

noinst_LTLIBRARIES              = libanticounterevent.la

libanticounterevent_la_SOURCES  = ${YODA_HEADER_FILES}   \
                                  ${YODA_SOURCES}        \
                                  ${BUILT_SOURCES}       \
                                  LinkDef.h

AnticounterEventDict.cpp: ${YODA_HEADER_FILES} LinkDef.h
	@ROOTCINT@ -f $@ -c ${INCLUDES} $^
